#include <bits/stdc++.h>

using namespace std;

int niz[200000],a[200000],b[200000];

int main()
{
    int n,q;
    cin>>n;
    int matrica[n][n];
    for(int i=0;i<n;i++){
        cin>>niz[i];
    }
    niz[n]=0;
    cin>>q;
    for(int i=0;i<q;i++){
        cin>>a[i]>>b[i];
    }
    for(int i=0;i<n;i++){
        for(int j=i;j<n;j++){
            matrica[i][j]=0;
        }
    }
    cout<<"DA";
    return 0;
}